import { SDKInitConfig } from "@/types";
import { BaseSDKClient } from "./BaseSDKClient";
export declare class SDKClient extends BaseSDKClient {
    private _currentSessionId?;
    private _isPageVisible;
    constructor(sdkConfig: SDKInitConfig);
    private _onVisible;
    private _onHidden;
    private _handleVisibilityChange;
    private _registerPageVisibilityEventListeners;
    private _endCurrentSession;
    startNewSession(): void;
    track(eventName: string, properties?: {
        [key: string]: string;
    }): void;
}
